aboutsummaryrefslogtreecommitdiff
path: root/system
diff options
context:
space:
mode:
authorB. Watson <urchlay@slackware.uk>2024-09-05 07:12:02 -0400
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2024-09-07 09:08:50 +0700
commitd0599dbae1e5f06072d9d8fea40003761e5a1461 (patch)
tree044d0503ae1e0da1aff51a1ae219d5118addfece /system
parent8cff95e7254fa932ce555d9f6b6541df7e69bb61 (diff)
system/maxcso: Updated for version 1.13.0, new maintainer.
Signed-off-by: B. Watson <urchlay@slackware.uk> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/maxcso/README2
-rw-r--r--system/maxcso/maxcso.SlackBuild61
-rw-r--r--system/maxcso/maxcso.info10
-rw-r--r--system/maxcso/slack-desc2
4 files changed, 27 insertions, 48 deletions
diff --git a/system/maxcso/README b/system/maxcso/README
index b6085f8a9edca..1c8c019178a5b 100644
--- a/system/maxcso/README
+++ b/system/maxcso/README
@@ -1,2 +1,4 @@
+maxcso (fast cso compressor)
+
A fast ISO to CSO compression program for use with PSP and PS2
emulators, which uses multiple algorithms for best compression ratio.
diff --git a/system/maxcso/maxcso.SlackBuild b/system/maxcso/maxcso.SlackBuild
index d34acddc89251..c8524b14b2992 100644
--- a/system/maxcso/maxcso.SlackBuild
+++ b/system/maxcso/maxcso.SlackBuild
@@ -2,30 +2,19 @@
# Slackware build script for maxcso
-# Copyright 2018-2020 Hunter Sezen California, USA
-# All rights reserved.
-#
-# Redistribution and use of this script, with or without modification, is
-# permitted provided that the following conditions are met:
-#
-# 1. Redistributions of this script must retain the above copyright
-# notice, this list of conditions and the following disclaimer.
-#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# Original author: Hunter Sezen.
+# Modified and now maintained by B. Watson <urchlay@slackware.uk>.
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# 20240905 bkw:
+# - new maintainer.
+# - update for v1.13.0.
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=maxcso
-VERSION=${VERSION:-1.12.0}
+VERSION=${VERSION:-1.13.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -38,9 +27,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -52,19 +38,15 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
- LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
else
SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
fi
-set -eu
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -73,31 +55,26 @@ rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
-find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} + -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} +
make \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS"
+strip $PRGNAM
+
make install \
PREFIX=/usr \
MANDIR=/usr/man \
DESTDIR=$PKG
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" |
- grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
-find $PKG/usr/man -type f -exec gzip -9 {} \;
-for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+gzip -9 $PKG/usr/man/man1/*
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a LICENSE.md README.md README_CSO.md README_ZSO.md \
- $PKG/usr/doc/$PRGNAM-$VERSION
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+cp -a LICENSE.md README.md README_CSO.md README_ZSO.md $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/system/maxcso/maxcso.info b/system/maxcso/maxcso.info
index d27269668e2f7..f3fd24ac4407d 100644
--- a/system/maxcso/maxcso.info
+++ b/system/maxcso/maxcso.info
@@ -1,10 +1,10 @@
PRGNAM="maxcso"
-VERSION="1.12.0"
+VERSION="1.13.0"
HOMEPAGE="https://github.com/unknownbrackets/maxcso"
-DOWNLOAD="https://github.com/unknownbrackets/maxcso/archive/v1.12.0/maxcso-1.12.0.tar.gz"
-MD5SUM="4ad33bcbc7659046564d3700241364ef"
+DOWNLOAD="https://github.com/unknownbrackets/maxcso/archive/v1.13.0/maxcso-1.13.0.tar.gz"
+MD5SUM="6803ee5c38360fe0377b32f272443628"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
-MAINTAINER="Hunter Sezen"
-EMAIL="orbea@riseup.net"
+MAINTAINER="B. Watson"
+EMAIL="urchlay@slackware.uk"
diff --git a/system/maxcso/slack-desc b/system/maxcso/slack-desc
index 48ce0cae0a8ad..66f07fd8e7d25 100644
--- a/system/maxcso/slack-desc
+++ b/system/maxcso/slack-desc
@@ -6,7 +6,7 @@
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
-maxcso: maxcso (Fast cso compressor)
+maxcso: maxcso (fast cso compressor)
maxcso:
maxcso: A fast ISO to CSO compression program for use with PSP and PS2
maxcso: emulators, which uses multiple algorithms for best compression ratio.